<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hw__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hw_config_t</compoundname>
    <includes local="no">cy_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hw__config__t_1a82dbaa0629420a21e213392bd63e56f1" kind="variable" mutable="no" prot="public" static="no">
        <type>const cy_stc_sysint_t *</type>
        <definition>const cy_stc_sysint_t* cy_stc_ble_hw_config_t::blessIsrConfig</definition>
        <argsstring />
        <name>blessIsrConfig</name>
        <briefdescription>
<para>BLESS interrupt configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="363" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="363" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hw__config__t_1a860e248670383b173b1b45bc433e5faf" kind="variable" mutable="no" prot="public" static="no">
        <type>const cy_stc_sysint_t *</type>
        <definition>const cy_stc_sysint_t* cy_stc_ble_hw_config_t::uartIsrConfig</definition>
        <argsstring />
        <name>uartIsrConfig</name>
        <briefdescription>
<para>HCI mode. </para>        </briefdescription>
        <detaileddescription>
<para>UART interrupt configuration </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="367" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="367" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hw__config__t_1ad9826e13174f9c6a16ca69fbfd61bacf" kind="variable" mutable="no" prot="public" static="no">
        <type>const cy_stc_scb_uart_config_t *</type>
        <definition>const cy_stc_scb_uart_config_t* cy_stc_ble_hw_config_t::uartConfig</definition>
        <argsstring />
        <name>uartConfig</name>
        <briefdescription>
<para>UART driver configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="370" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="370" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hw__config__t_1aafc625a4efe020ee4658d924ef92f17f" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *</type>
        <definition>CySCB_Type* cy_stc_ble_hw_config_t::uartHw</definition>
        <argsstring />
        <name>uartHw</name>
        <briefdescription>
<para>UART driver hardware instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="373" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="373" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE HW Configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="374" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="360" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="361" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hw__config__t_1a82dbaa0629420a21e213392bd63e56f1" virt="non-virtual"><scope>cy_stc_ble_hw_config_t</scope><name>blessIsrConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__hw__config__t_1ad9826e13174f9c6a16ca69fbfd61bacf" virt="non-virtual"><scope>cy_stc_ble_hw_config_t</scope><name>uartConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__hw__config__t_1aafc625a4efe020ee4658d924ef92f17f" virt="non-virtual"><scope>cy_stc_ble_hw_config_t</scope><name>uartHw</name></member>
      <member prot="public" refid="structcy__stc__ble__hw__config__t_1a860e248670383b173b1b45bc433e5faf" virt="non-virtual"><scope>cy_stc_ble_hw_config_t</scope><name>uartIsrConfig</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>